Bug 1361979 (CVE-2016-5252) - CVE-2016-5252 Mozilla: Stack underflow during 2D graphics rendering (MFSA 2016-67)
Summary: CVE-2016-5252 Mozilla: Stack underflow during 2D graphics rendering (MFSA 201...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-5252
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20160802,repo...
Depends On:
Blocks: 1360577
TreeView+ depends on / blocked
 
Reported: 2016-08-01 06:22 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 21:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-23 05:31:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1551 normal SHIPPED_LIVE Critical: firefox security update 2016-08-03 12:06:43 UTC

Description Huzaifa S. Sidhpurwala 2016-08-01 06:22:28 UTC
Georg Koppen of the Tor Project used the Address Sanitizer tool to discover a stack buffer underflow when calculating clipping regions in 2D graphics. This results in a potentially exploitable crash. 


External Reference:

https://www.mozilla.org/security/announce/2016/mfsa2016-67.html


Acknowledgements:

Name: the Mozilla project
Upstream: Georg Koppen

Comment 1 errata-xmlrpc 2016-08-03 08:08:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:1551 https://rhn.redhat.com/errata/RHSA-2016-1551.html


Note You need to log in before you can comment on or make changes to this bug.